Eclipse Platform Release 3.7

## org.eclipse.ltk.ui.refactoring
Class RedoRefactoringAction

    java.lang.Object
      org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
          org.eclipse.ltk.ui.refactoring.RedoRefactoringAction

All Implemented Interfaces:
  IActionDelegate, IWorkbenchWindowActionDelegate

Deprecated. This action is now longer needed. Undo is now performed via the global undo/redo stack provided by `org.eclipse.core.commands`.

    public class RedoRefactoringAction

extends org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction

The refactoring redo action. When executed the action performs the top most change from the refactoring undo manager's redo stack.

The action is typically added to a global refactoring menu via the `org.eclipse.ui.actionSets` extension point.

Note: this class isn't intended to be subclassed. Clients are only allowed to instantiate the class or to reference it from an action set.

Since:
  3.0
Restriction:
  This class is not intended to be subclassed by clients.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
`org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction.Query`

Constructor Summary
`RedoRefactoringAction()` Deprecated. Creates a new redo refactoring action.

Method Summary
`protected IRunnableWithProgress` `createOperation(Shell parent)` Deprecated.
`protected UndoManagerAdapter` `createUndoManagerListener()` Deprecated.
`protected String` `getName()` Deprecated.
`void` `selectionChanged(IAction action, ISelection s)` Deprecated. Notifies this action delegate that the selection in the workbench has changed.

Methods inherited from class org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction
`dispose, getAction, getWorkbenchWindow, hookListener, init, isHooked, run, shortenText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RedoRefactoringAction

    public RedoRefactoringAction()

  Deprecated.
  Creates a new redo refactoring action.

Method Detail

### getName

    protected String getName()

  Deprecated.
  Specified by:
    `getName` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

### createOperation

    protected IRunnableWithProgress createOperation(Shell parent)

  Deprecated.
  Specified by:
    `createOperation` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

### createUndoManagerListener

    protected UndoManagerAdapter createUndoManagerListener()

  Deprecated.
  Specified by:
    `createUndoManagerListener` in class `org.eclipse.ltk.internal.ui.refactoring.UndoManagerAction`

### selectionChanged

    public void selectionChanged(IAction action,
                                 ISelection s)

  Deprecated.
  Description copied from interface: `IActionDelegate`
  Notifies this action delegate that the selection in the workbench has changed.

  Implementers can use this opportunity to change the availability of the action or to modify other presentation properties.

  When the selection changes, the action enablement state is updated based on the criteria specified in the plugin.xml file. Then the delegate is notified of the selection change regardless of whether the enablement criteria in the plugin.xml file is met.

  Parameters:
    `action` - the action proxy that handles presentation portion of the action
    `s` - the current selection, or `null` if there is no selection.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.